generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\AboutBundle\Entity\Block
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendAboutBundle
    pk_requirement: ~
    fields: 
      isRead:
        label: Прочитано
        help: Якщо не потрібно читати даний файл то поставте галочку.
      file:
        label:            Прайс лист
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       price
         data_class:     Symfony\Component\HttpFoundation\File\File
      bioImageFile:
        label:            Іконка для біотехлабу
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       bioImage
         data_class:     Symfony\Component\HttpFoundation\File\File 
      newImageFile:
        label:            Іконка для новинки
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       newImage
         data_class:     Symfony\Component\HttpFoundation\File\File 
      promoImageFile:
        label:            Іконка для акції
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       promoImage
         data_class:     Symfony\Component\HttpFoundation\File\File   
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
          bioUrl:
            locale_options:
              uk:
                label: Лінк для Біотехлабу
                help:  Повинен бути виду - http://test.com або https://test.com
              ru:
                label: Лінк для Біотехлабу
                help:  Повинен бути виду - http://test.com або https://test.com
            field_type: url
          newUrl:
            locale_options:
              uk:
                label: Лінк для новинки
                help:  Повинен бути виду - http://test.com або https://test.com
              ru:
                label: Лінк для новинки
                help:  Повинен бути виду - http://test.com або https://test.com
            field_type: url
          promoUrl:
            locale_options:
              uk:
                label: Лінк для акції
                help:  Повинен бути виду - http://test.com або https://test.com
              ru:
                label: Лінк для акції
                help:  Повинен бути виду - http://test.com або https://test.com
            field_type: url    
          bioTitle:
             locale_options:
               uk:
                 label : Назва для біотехлабу  
               ru:
                 label : Назва для біотехлабу
          bioDescription:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Опис для біотехлабу 
               ru:
                 label : Опис для біотехлабу    
          newTitle:
             locale_options:
               uk:
                 label : Назва для новинки  
               ru:
                 label : Назва для новинки
          newDescription:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Опис для новинки 
               ru:
                 label : Опис для новинки
          promoTitle:
             locale_options:
               uk:
                 label : Назва для акції  
               ru:
                 label : Назва для акції
          promoDescription:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Опис для акції 
               ru:
                 label : Опис для акції         
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Блок
            display: [id]
            object_actions:
                edit: ~
                # delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title: Блок
            display: [isRead, file, bioImageFile, newImageFile, promoImageFile, translations]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: Блок
            display: [isRead, file, bioImageFile, newImageFile, promoImageFile,translations]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: Block.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
